%define name gjs
%define version 0.6
%define subrel 19
%define release %mkrel 4
%define api 1.0
%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

%if %{?xulrunner_libname:0}%{?!xulrunner_libname:1}
%define xulrunner_libname libxulrunner
%define xulrunner_version 1.9
%endif

Summary: JavaScript bindings based on gobject-introspection
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Patch: gjs-0.3-format-strings.patch
License: BSD
Group: Development/Other
Url:  http://live.gnome.org/Gjs
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: xulrunner-devel >= 1.9
BuildRequires: gobject-introspection-devel >= 0.6
BuildRequires: dbus-glib-devel

%description
This package contains JavaScript bindings based on gobject-introspection.

%package -n %libname
Group:System/Libraries
Summary:JavaScript bindings based on gobject-introspection
Requires: %xulrunner_libname

%description -n %libname
This package contains JavaScript bindings based on gobject-introspection.

%package -n %develname
Group:Development/C
Summary:JavaScript bindings based on gobject-introspection
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release
Requires: xulrunner-devel = %xulrunner_version

%description -n %develname
This package contains JavaScript bindings based on gobject-introspection.

%prep
%setup -q
%patch -p1
%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING NEWS
%_bindir/gjs
%_bindir/gjs-console
%_datadir/%name-%api

%files -n %libname
%defattr(-,root,root)
%_libdir/libgjs-dbus.so.%{major}*
%_libdir/libgjs-gi.so.%{major}*
%_libdir/libgjs.so.%{major}*
%_libdir/gjs-%api

%files -n %develname
%defattr(-,root,root)
%_libdir/libgjs-dbus.so
%_libdir/libgjs-gi.so
%_libdir/libgjs.so
%_libdir/libgjs*.la
%_libdir/pkgconfig/gjs-dbus-%api.pc
%_libdir/pkgconfig/gjs-%api.pc
%_libdir/pkgconfig/gjs-gi-%api.pc
%_includedir/gjs-%api


%changelog
* Thu Feb 02 2012 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.19mdv2010.2
- rebuilt for firefox-3.6.26

* Wed Dec 21 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.18mdv2010.2
- rebuilt for firefox-3.6.25

* Tue Nov 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.17mdv2010.2
- rebuilt for firefox-3.6.24

* Wed Sep 28 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.16mdv2010.2
- rebuilt for firefox-3.6.23

* Wed Sep 07 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.15mdv2010.2
- rebuilt for firefox-3.6.22

* Fri Sep 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.14mdv2010.2
- rebuilt for firefox-3.6.21

* Wed Aug 17 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.13mdv2010.2
- rebuilt for firefox-3.6.20

* Tue Jun 21 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.12mdv2010.2
- rebuilt for firefox-3.6.18

* Fri Apr 29 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.11mdv2010.2
- rebuilt for firefox-3.6.17

* Wed Apr 06 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.10mdv2010.2
- rebuilt for firefox-3.6.16

* Mon Mar 07 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.9mdv2010.2
- rebuilt for firefox-3.6.15

* Wed Mar 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.8mdv2010.2
- rebuilt for firefox-3.6.14

* Wed Mar 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.7mdv2010.2
- rebuilt for firefox-3.6.14

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.6mdv2010.1
- rebuilt for firefox-3.6.13

* Mon Nov 22 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.5mdv2010.1
- rebuilt for firefox-3.6.12

* Thu Oct 21 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.4mdv2010.1
- rebuilt for firefox-3.6.11

* Sun Sep 19 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.3mdv2010.1
- rebuilt for firefox-3.6.10

* Thu Sep 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.2mdv2010.1
- rebuilt for firefox-3.6.9

* Mon Aug 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-4.1mdv2010.1
- rebuilt for firefox-3.6.8

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0.6-4mdv2010.1
+ Revision: 549369
- rebuild with latest xulrunner

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0.6-3mdv2010.1
+ Revision: 531047
- rebuild for new xulrunner

* Wed Mar 24 2010 Götz Waschk <waschk@mandriva.org> 0.6-2mdv2010.1
+ Revision: 527072
- rebuild for new xulrunner

* Thu Mar 18 2010 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2010.1
+ Revision: 525126
- update to new version 0.6

* Tue Feb 16 2010 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2010.1
+ Revision: 506437
- new version
- drop patch 1

* Sun Jan 10 2010 Götz Waschk <waschk@mandriva.org> 0.4-6mdv2010.1
+ Revision: 488680
- rebuild for new xulrunner

* Fri Jan 01 2010 Götz Waschk <waschk@mandriva.org> 0.4-5mdv2010.1
+ Revision: 484664
- fix build with new xulrunner

* Wed Dec 16 2009 Götz Waschk <waschk@mandriva.org> 0.4-4mdv2010.1
+ Revision: 479218
- rebuild for new xulrunner

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0.4-3mdv2010.1
+ Revision: 460639
- rebuild for new xulrunner

* Wed Sep 16 2009 Götz Waschk <waschk@mandriva.org> 0.4-2mdv2010.0
+ Revision: 443445
- add explicit versioned xulrunner dep
- rebuild for new xulrunner

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2010.0
+ Revision: 421331
- new version
- update file list

* Sun Jul 05 2009 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2010.0
+ Revision: 392671
- fix format string
- new version
- fix source URL
- add dbus binding
- drop patch

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 0.2-2mdv2009.1
+ Revision: 332448
- rebuild

* Wed Nov 12 2008 Götz Waschk <waschk@mandriva.org> 0.2-1mdv2009.1
+ Revision: 302494
- import gjs


